
### 左侧菜单通用组件
针对一信通平台左侧菜单的通用组件

#### 安装
```javascript
npm i --save flag-ui-leftmenu
```
#### 依赖
```text
 1. vue
 2. element-ui
 3. router配置menuId元属性
```

#### 使用说明

#### 引入

```javascript
import leftMenu from 'flag-ui-leftmenu'
```
#### 组件概况


#### 组件参数说明
|传入参数         | 类型   |是否必填|默认      | 说明                                         |
|:-------------------|:-------|:-----:|:------:|:----------------------------------------|
|`menuList`          |Array  |是     | - |菜单列表，格式见下方示例


------------------------------

#### 详细参数说明
```javascript
{
    leftMenu: [{
	id: '01',
	name: '会议通知',
	link: '/',
	children: [{
		id: '011',
		name: '通知管理',
		link: '/notice'
	},{
		id: '012',
		name: '通知明细',
		link: '/notice/detail'
	}]
}]
}

```

#### 传出参数说明

无


#### 组件事件说明

|事件            | 说明              |
|:-------------:|:------------------|
|beforeJump|点击菜单，跳转页面前触发此事件|
|afterJump|点击菜单，跳转页面后触发此事件|
---------------------

#### 示例
```html
<left-menu :menuList="menuList" @beforeJump="before" @afterJump="after"> </left-menu>
```

#### 组件变更记录
- v0.0.1 发布，目前支持两级菜单
- v0.0.4 动态加载传入菜单数据